#
# Conditional build:
%bcond_without	opengl		# OpenGL support
%bcond_without	static_libs	# static library
#
Summary:	SPICE virtualization solution
Summary(pl.UTF-8):	System wirtualizacji SPICE
# real package name (spice) is already occupied
Name:		spice-space
# NOTE: 0.odd.x versions are unstable
Version:	0.15.2
Release:	1
License:	LGPL v2.1+
Group:		Applications/Emulators
Source0:	https://www.spice-space.org/download/releases/spice-server/spice-%{version}.tar.bz2
# Source0-md5:	1de1e9157a1e2396884017978e7cf086
URL:		https://www.spice-space.org/
%{?with_opengl:BuildRequires:	OpenGL-GLU-devel}
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	alsa-lib-devel
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.63
BuildRequires:	autoconf-archive
BuildRequires:	automake >= 1:1.11
BuildRequires:	cyrus-sasl-devel >= 2
BuildRequires:	gcc >= 5:4.0
BuildRequires:	gdk-pixbuf2-devel >= 2.26
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	libcacard-devel >= 2.5.1
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel >= 6:4.8.1
BuildRequires:	libtool >= 2:2
BuildRequires:	lz4-devel >= 129
BuildRequires:	openssl-devel >= 1.0.0
BuildRequires:	opus-devel >= 1.0.0
BuildRequires:	orc-devel >= 0.4
BuildRequires:	pixman-devel >= 0.17.7
BuildRequires:	pkgconfig
BuildRequires:	python >= 2
BuildRequires:	python-pyparsing
BuildRequires:	python-six
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	spice-protocol >= 0.14.3
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel >= 1.0
BuildRequires:	xorg-lib-libXrandr-devel >= 1.2
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spice is an open remote computing solution, providing client access to
remote machine display and devices (e.g., keyboard, mouse, audio).
Spice achieves a user experience similar to an interaction with a
local machine, while trying to offload most of the intensive CPU and
GPU tasks to the client. Spice is suitable for both LAN and WAN usage,
without compromising on the user experience.

%description -l pl.UTF-8
Spice to rozwiązanie do zdalnych obliczeń, zapewniające dostęp
kliencki ekranu i urządzeń zdalnej maszyny (klawiatury, myszy,
dźwięku). Daje użytkownikowi wrażenie podobne do pracy lokalnej, ale
próbuje większość zadań wykorzystujących intensywnie CPU i GPU zrzucić
na klienta. Nadaje się do pracy w sieciach LAN i WAN, bez większych
poświęceń ze strony doznań użytkownika.

%package -n spice-server-libs
Summary:	SPICE server library
Summary(pl.UTF-8):	Biblioteka serwera SPICE
Group:		Libraries
Requires:	glib2 >= 1:2.38
Requires:	openssl >= 1.0.0
Requires:	opus >= 1.0.0
Requires:	pixman >= 0.17.7
Obsoletes:	spice-client < 0.12.6

%description -n spice-server-libs
SPICE server library.

%description -n spice-server-libs -l pl.UTF-8
Biblioteka serwera SPICE.

%package -n spice-server-devel
Summary:	Header files for SPICE server library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki serwera SPICE
Group:		Development/Libraries
Requires:	glib2-devel >= 1:2.38
Requires:	libcacard-devel >= 2.5.1
Requires:	openssl-devel >= 1.0.0
Requires:	pixman-devel >= 0.17.7
Requires:	spice-protocol >= 0.14.0
Requires:	spice-server-libs = %{version}-%{release}

%description -n spice-server-devel
Header files for SPICE server library.

%description -n spice-server-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki serwera SPICE.

%package -n spice-server-static
Summary:	Static SPICE server library
Summary(pl.UTF-8):	Statyczna biblioteka serwera SPICE
Group:		Development/Libraries
Requires:	spice-server-devel = %{version}-%{release}

%description -n spice-server-static
Static SPICE server library.

%description -n spice-server-static -l pl.UTF-8
Statyczna biblioteka serwera SPICE.

%prep
%setup -q -n spice-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd subprojects/spice-common
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure \
	--disable-silent-rules \
	--enable-lz4 \
	%{?with_opengl:--enable-opengl} \
	--enable-smartcard \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libspice-server.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n spice-server-libs -p /sbin/ldconfig
%postun	-n spice-server-libs -p /sbin/ldconfig

%files -n spice-server-libs
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md README
%attr(755,root,root) %{_libdir}/libspice-server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspice-server.so.1

%files -n spice-server-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspice-server.so
%{_includedir}/spice-server
%{_pkgconfigdir}/spice-server.pc

%if %{with static_libs}
%files -n spice-server-static
%defattr(644,root,root,755)
%{_libdir}/libspice-server.a
%endif
%changelog
* Thu May 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spice-space.git;a=log;h=master

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 7b3d2b4
- updated to 0.15.2

* Tue Jan 24 2023 Jan Palus <atler@pld-linux.org> a9bc125
- up to 0.15.1

* Tue Jan 24 2023 Jan Palus <atler@pld-linux.org> 9667e1f
- BR: autoconf-archive for AX_CXX_COMPILE_STDCXX_11

* Mon Feb 07 2022 Jan Palus <atler@pld-linux.org> 3ebe3c3
- up to 0.15.0

* Sun Feb 06 2022 Jan Palus <atler@pld-linux.org> 221bf7e
- drop EA:, build is no longer arch restricted

* Sun Oct 03 2021 Jan Rękorajski <baggins@pld-linux.org> 87a9059
- rediff patch, rebuild with openssl 3.0.0, rel 2

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 5f57b3e
- updated dependencies

* Sat Feb 29 2020 Jan Palus <atler@pld-linux.org> 5edfa57
- up to 0.14.3

* Wed May 01 2019 Jan Palus <atler@pld-linux.org> 714994a
- up to 0.14.2

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> 625205e
- adapterize

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> b215136
- up to 0.14.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d90f6c4
- release 2 (by relup.sh)

* Sat Oct 28 2017 Jan Palus <atler@pld-linux.org> 4c3a44d
- up to 0.14.0

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 375e4b0
- updated to 0.12.8
- removed obsolete codegen patch

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> ccb7034
- added pointer to 0.13.x on DEVEL

* Fri Oct 09 2015 Jakub Bogusz <qboosh@pld-linux.org> d68f94e
- updated to 0.12.6
- updated am patch
- removed obsolete sh patch
- added codegen patch (don't require sources of spice protocol codegen modules)
- client from this package is discontinued, use spice-gtk based clients like virt-viewer instead

* Wed Mar 25 2015 Jan Rękorajski <baggins@pld-linux.org> 0d293d5
- build on x32 too
- rel 2

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> f60f837
- updated to 0.12.5
- updated sh patch
- slirp/tunneling support is gone; opus support added

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 91677fd
- updated to 0.12.4

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 9c015a5
- updated to 0.12.3
- updated link patch

